org.eclipse.net4j.db

## Interface DBUtil.DeserializeRowHandler

- All Superinterfaces:
    DBUtil.RowHandler
  Enclosing class:
    DBUtil

      public static interface DBUtil.DeserializeRowHandler
      extends DBUtil.RowHandler

  A `row handler` with a `method` that is called once per row deserialized within `DBUtil.deserializeTable()`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleRow(ExtendedDataInput in, java.sql.Connection connection, IDBField[] fields, java.lang.Object[] values)`

    - ### Methods inherited from interface org.eclipse.net4j.db.DBUtil.RowHandler

      `done`

- - ### Method Detail

    - #### handleRow

          void handleRow(ExtendedDataInput in,
                         java.sql.Connection connection,
                         IDBField[] fields,
                         java.lang.Object[] values)
                  throws java.sql.SQLException,
                         java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html